Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cayenne.configuration.rop.client
Class ClientModule

    java.lang.Object
      org.apache.cayenne.configuration.rop.client.ClientModule

All Implemented Interfaces:
  Module

    public class ClientModule

extends java.lang.Object
implements Module

A DI module containing all Cayenne ROP client runtime configurations.

Since:
  3.1

Field Summary
`static java.lang.String` | `CHANNEL_EVENTS`
`static java.lang.String` | `CHANNEL_REMOTE_EVENTS_OPTIONAL`
`static java.lang.String` | `CONTEXT_CHANGE_EVENTS`
`static java.lang.String` | `CONTEXT_LIFECYCLE_EVENTS`
`protected java.util.Map<java.lang.String,java.lang.String>` | `properties`
`static java.lang.String` | `ROP_SERVICE_PASSWORD`
`static java.lang.String` | `ROP_SERVICE_SHARED_SESSION`
`static java.lang.String` | `ROP_SERVICE_URL`
`static java.lang.String` | `ROP_SERVICE_USER_NAME`

Constructor Summary
`ClientModule(java.util.Map<java.lang.String,java.lang.String> properties)`

Method Summary
`void` | `configure(Binder binder)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ROP_SERVICE_URL

    public static final java.lang.String ROP_SERVICE_URL

See Also:
  Constant Field Values

### ROP_SERVICE_USER_NAME

    public static final java.lang.String ROP_SERVICE_USER_NAME

See Also:
  Constant Field Values

### ROP_SERVICE_PASSWORD

    public static final java.lang.String ROP_SERVICE_PASSWORD

See Also:
  Constant Field Values

### ROP_SERVICE_SHARED_SESSION

    public static final java.lang.String ROP_SERVICE_SHARED_SESSION

See Also:
  Constant Field Values

### CHANNEL_EVENTS

    public static final java.lang.String CHANNEL_EVENTS

See Also:
  Constant Field Values

### CHANNEL_REMOTE_EVENTS_OPTIONAL

    public static final java.lang.String CHANNEL_REMOTE_EVENTS_OPTIONAL

See Also:
  Constant Field Values

### CONTEXT_CHANGE_EVENTS

    public static final java.lang.String CONTEXT_CHANGE_EVENTS

See Also:
  Constant Field Values

### CONTEXT_LIFECYCLE_EVENTS

    public static final java.lang.String CONTEXT_LIFECYCLE_EVENTS

See Also:
  Constant Field Values

### properties

    protected java.util.Map<java.lang.String,java.lang.String> properties

Constructor Detail

### ClientModule

    public ClientModule(java.util.Map<java.lang.String,java.lang.String> properties)

Method Detail

### configure

    public void configure(Binder binder)

  Specified by:
    `configure` in interface `Module`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2011 Apache Cayenne. All Rights Reserved.